<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [setDefaultNavigationTimeout](./puppeteer.page.setdefaultnavigationtimeout.md)

## Page.setDefaultNavigationTimeout() method

<b>Signature:</b>

```typescript
setDefaultNavigationTimeout(timeout: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  timeout | number | Maximum navigation time in milliseconds. |

<b>Returns:</b>

void

